

import 'package:mapmyindia_place_widget/mapmyindia_place_widget.dart';

class PickerSettings{

  PickerSettings._privateConstructor();

  static final PickerSettings _instance = PickerSettings._privateConstructor();

  factory PickerSettings(){

    return _instance;
  }

  bool includeDeviceLocationButton=true;
  bool includeSearch= true;
  double mapMaxZoom= 14;
  double mapMinZoom =3;
  String pickerToolbarColor = "#FFFFFF";
  bool showMarkerShadow = true;
  String placeNameLabelTextColor= "#34de33";
  String addressTextColor ="#34de33";
  String infoBottomViewBackgroundColor= "#ffffff";

  //AutoComplete Options
  String? filter;
  String hint = "Enter Search text";
  int historyCount =0;
  String? pod;
  String backgroundColor="#FFFFFF";
  String toolbarColor="#FFFFFF";
  bool saveHistory =false;
  bool tokenizeAddress = true;
  double? zoom ;
  int attributionHorizontalAlignment = PlaceOptions.GRAVITY_LEFT;
  int attributionVerticalAlignment = PlaceOptions.GRAVITY_TOP;
  int logoSize = PlaceOptions.SIZE_MEDIUM;
  double? locationLat;
  double? locationLng;

}