
import 'package:mapmyindia_place_widget/mapmyindia_place_widget.dart';


class PlaceSearchSettings{

  PlaceSearchSettings._privateConstructor();

  static final PlaceSearchSettings _instance = PlaceSearchSettings._privateConstructor();

  factory PlaceSearchSettings(){

    return _instance;
  }

  String? filter;
  String hint = "Enter Search text";
  int historyCount =0;
  String? pod;
  String backgroundColor="#FFFFFF";
  String toolbarColor="#FFFFFF";
  bool saveHistory =false;
  bool tokenizeAddress = true;
  double? zoom ;
  int attributionHorizontalAlignment = PlaceOptions.GRAVITY_LEFT;
  int attributionVerticalAlignment = PlaceOptions.GRAVITY_TOP;
  int logoSize = PlaceOptions.SIZE_MEDIUM;
  double? locationLat;
  double? locationLng;
}