part of mapmyindia_place_widget;

class AutocompleteResult {
  final ELocation? eLocation;
  final SuggestedSearch? suggestedSearch;

  AutocompleteResult({this.eLocation, this.suggestedSearch});

  static AutocompleteResult fromMap(Map<String, dynamic> map) {
    ELocation? _elocation;
    if (map.containsKey("eLocation")) {
      _elocation = ELocation.fromMap(map["eLocation"]);
    }
    SuggestedSearch? _suggestedSearch;
    if (map.containsKey("suggestedSearch")) {
      _suggestedSearch = SuggestedSearch.fromMap(map["suggestedSearch"]);
    }
    return AutocompleteResult(
        eLocation: _elocation, suggestedSearch: _suggestedSearch);
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> map = {};

    if (eLocation != null) {
      map["eLocation"] = eLocation!.toJson();
    }
    if (suggestedSearch != null) {
      map["suggestedSearch"] = suggestedSearch!.toJson();
    }

    return map;
  }
}
